Subject: RE: New idea for early cross-area review

From: [email-masked]
Date: Wed, 11 May 2005 08:50:14 +0300

David,

This is probably fodder for [email-masked], but I agree with you on this.

My question is:

 Is it better to have a GOOD standard that misses its market window, an
 implentable standard (not necessarily good) that gets deployed or
 no standard at all but plenty of implementations of proprietary technology?

Talking to some open-source friends, they are happy to make self-documenting
code, including changes to IETF protocols, but are not willing to bring
their stuff to the IETF because they want to see things deployed.

About cross-area review; in principle, it sounds like a good idea, but
I wouldn't want to serialize it.  If some one performs a cross-area review
of documents in my WG, that would be great; but often there is a lot of time
spent on trying to explain what's going on, if the reviewer hasn't taken 
the time to understand what we are really trying to do.

John

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of ext David B Harrington
> Sent: 10 May, 2005 21:16
> To: Patil Basavaraj (Nokia-NET/Dallas); [email-masked];
> [email-masked]
> Cc: [email-masked]
> Subject: RE: New idea for early cross-area review
> 
> 
> Hi,
> 
> I have a concern that the extra required reviews and id-nits checking
> is making it tremendously difficult to get a standard completed in the
> IETF. 
> 
> I think the need for cross-area review is not clearly defined, and
> that could in itself be a problem. The mail I chose to respond to is
> symptomatic of the problem: "Cross-area review of an ID should be a
> requirement for all WG IDs" and "but NOT for all WG IDs"; which is it?
> It cannot be both.
> 
> I personally oppose making cross-area review a requirement. The
> response I expect to this statement is "don't you want good
> standards?", to which I will reply:
> Yes I want good standards, but we emphasize differently - you may want
> "GOOD standards", I want "good STANDARDS"; A standard is not a good
> standard if it comes three years too late to be useful, no matter how
> well written and how well reviewed.
> 
> David Harrington
> [email-masked]
> 
> > -----Original Message-----
> > From: [email-masked] 
> > [mailto:[email-masked]] On Behalf Of 
> > [email-masked]
> > Sent: Tuesday, May 10, 2005 1:45 PM
> > To: [email-masked]; [email-masked]
> > Cc: [email-masked]
> > Subject: RE: New idea for early cross-area review
> > 
> > 
> > Cross-area review of an ID should be a requirement for all WG 
> > IDs before
> > they are sent to the IESG for review and IETF LC. 
> > Creating a new mailing list to send an announcement solicting 
> > review has
> > very little chance of succeeding (given the current mindset). It is 
> > better to put the onus on the WG chairs that a cross-area review be
> a
> > part of the process that needs to occur (but NOT for all WG IDs,
> just
> > the ones that are deemed so by the WG chairs and the AD) before the
> ID
> > is submitted to the IESG. Let the WG chairs do the hard work 
> > of identifying
> > the reviewers and chasing them to get it done in a timely manner.
> > This does have the downside of adding yet another step to the 
> > process, but
> > given the value of the cross-area-review and hopefully the 
> > reduced time
> > spent in the IESG on Discusses, it is worth it.
> > 
> > -Basavaraj
> > 
> > 
> 
> 
> 
>

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 11 May 2005 11:06:11 +0200

[email-masked] wrote:
...
> the time to understand what we are really trying to do.

Very specifically, the proposal doesn't create a serial requirement.
It simply creates an opportunity for parallel reviews, after a draft
has already been published and adopted.

And if the document doesn't tell the reviewer what it's trying to do,
perhaps by reference to other drafts, then it's the draft and not
the reviewer that's at fault, imnsho.

     Brian